%global site_name maven-bundle-plugin

Name:           maven-plugin-bundle
Version:        3.0.1
Release:        %mkrel 2
Group:          Development/Java
Summary:        Maven Bundle Plugin
License:        ASL 2.0
URL:            http://felix.apache.org
BuildArch:      noarch

Source0:        http://archive.apache.org/dist/felix/%{site_name}-%{version}-source-release.tar.gz

# Needs polishing to be sent upstream
Patch0:         0001-Port-to-current-maven-dependency-tree.patch
# It doesn't really need new aqute-bnd
Patch1:         0002-Downgrade-aqute-bnd.patch

BuildRequires:  maven-local
BuildRequires:  mvn(biz.aQute.bnd:biz.aQute.bndlib)
BuildRequires:  mvn(net.sf.kxml:kxml2)
BuildRequires:  mvn(org.apache.felix:felix-parent:pom:)
BuildRequires:  mvn(org.apache.felix:org.apache.felix.bundlerepository)
BuildRequires:  mvn(org.apache.felix:org.apache.felix.framework)
BuildRequires:  mvn(org.apache.felix:org.apache.felix.utils)
BuildRequires:  mvn(org.apache.maven.doxia:doxia-core)
BuildRequires:  mvn(org.apache.maven.doxia:doxia-sink-api)
BuildRequires:  mvn(org.apache.maven.doxia:doxia-site-renderer)
BuildRequires:  mvn(org.apache.maven:maven-archiver)
BuildRequires:  mvn(org.apache.maven:maven-compat)
BuildRequires:  mvn(org.apache.maven:maven-core)
BuildRequires:  mvn(org.apache.maven.plugins:maven-invoker-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-plugin-plugin)
BuildRequires:  mvn(org.apache.maven.plugin-tools:maven-plugin-annotations)
BuildRequires:  mvn(org.apache.maven.reporting:maven-reporting-impl)
BuildRequires:  mvn(org.apache.maven.shared:maven-dependency-tree)
BuildRequires:  mvn(org.codehaus.plexus:plexus-utils)
BuildRequires:  mvn(org.jdom:jdom)
BuildRequires:  mvn(org.osgi:org.osgi.core)
BuildRequires:  mvn(org.sonatype.plexus:plexus-build-api)
BuildRequires:  mvn(xpp3:xpp3)

%description
Provides a maven plugin that supports creating an OSGi bundle
from the contents of the compilation classpath along with its
resources and dependencies. Plus a zillion other features.

%package javadoc
Summary:        Javadoc for %{name}

%description javadoc
API documentation for %{name}.

%prep
%setup -q -n %{site_name}-%{version}

%patch0 -p1
%patch1 -p1

find -name '*.jar' -delete

# Bundled class from old maven-dependency-tree
rm -r src/main/java/org/apache/maven/shared/dependency

# There is forked version of maven-osgi in
# src/{main,test}/java/org/apache/maven

%pom_add_dep org.apache.maven:maven-compat
%pom_add_dep xpp3:xpp3
%pom_add_dep net.sf.kxml:kxml2
%pom_add_dep org.apache.felix:org.apache.felix.framework
%pom_add_dep org.apache.maven.reporting:maven-reporting-impl

%build
# Tests depend on bundled JARs
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%doc LICENSE NOTICE DEPENDENCIES

%files javadoc -f .mfiles-javadoc
%doc LICENSE NOTICE




%changelog
* Tue Feb 23 2016 neoclust <neoclust> 3.0.1-2.mga6
+ Revision: 977285
- First rebuild of the java stack
- sync package maven-plugin-bundle with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Sat Jan 10 2015 pterjan <pterjan> 2.3.7-14.mga5
+ Revision: 809763
- Add missing BuildRequires
- Sync with Fedora 21

* Wed Oct 15 2014 umeabot <umeabot> 2.3.7-13.mga5
+ Revision: 747229
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild
- Mageia 4 Mass Rebuild

* Sun Sep 29 2013 dmorgan <dmorgan> 2.3.7-10.mga4
+ Revision: 488863
- Fix BR
- Remove unneeded BR: maven-plugin-testing-harness
- Rebuild against new javapackages
- Re-enable tests

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Sep 11 2012 dmorgan <dmorgan> 2.3.7-4.mga3
+ Revision: 292243
- Clean spec file

* Sat Sep 08 2012 dmorgan <dmorgan> 2.3.7-3.mga3
+ Revision: 290491
- Add missing BuildRequires

* Thu Jul 05 2012 dmorgan <dmorgan> 2.3.7-2.mga3
+ Revision: 268207
- Add kxml2 to pom as a dependency

* Wed Jun 20 2012 dmorgan <dmorgan> 2.3.7-1.mga3
+ Revision: 262186
- New version 2.3.7

* Mon Dec 19 2011 gil <gil> 2.3.6-1.mga2
+ Revision: 184618
- update to 2.3.6

* Mon Nov 28 2011 dmorgan <dmorgan> 2.3.5-1.mga2
+ Revision: 173956
- Fix file list
- Do not depend of maven2

  + gil <gil>
    - update to 2.3.5

* Thu Apr 28 2011 dmorgan <dmorgan> 2.0.0-10.mga1
+ Revision: 92713
- Rebuild after bootstrapping
- imported package maven-plugin-bundle


* Thu Feb 10 2011 Alexander Kurtakov <akurtako@redhat.com> 2.0.0-9
- BR maven-surefire-provider-junit4.

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Dec 15 2010 Alexander Kurtakov <akurtako@redhat.com> 2.0.0-7
- BR/R felix-parent.

* Thu Sep 9 2010 Alexander Kurtakov <akurtako@redhat.com> 2.0.0-5
- Fix BuildRequires.

* Fri Sep 18 2009 Alexander Kurtakov <akurtako@redhat.com> 2.0.0-4
- Add missing Requires.

* Wed Sep 9 2009 Alexander Kurtakov <akurtako@redhat.com> 2.0.0-3
- BR doxia-sitetools.

* Mon Sep 7 2009 Alexander Kurtakov <akurtako@redhat.com> 2.0.0-2
- Fix BR/Rs.

* Thu Sep 3 2009 Alexander Kurtakov <akurtako@redhat.com> 2.0.0-1
- Initial import.
